package org.expressolivre.cte.pages.email;

import org.expressolivre.cte.pages.common.Page;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 11, 2011 at 10:28:33 AM
 * 
 */
public class ExpressoMailAdminPreferencesPage extends Page {

	/** Você deseja exibir automaticamente o cabecalho da mensagem? */
	@FindBy(name = "user[show_head_msg_full]")
	private WebElement userShowHeadMsgFull;

	/** Qual o número máximo de mensagens por página? */

	@FindBy(name = "user[max_email_per_page]")
	private WebElement userMaxEmailPerPage;

	/** Pré-visualizar a mensagem na coluna Assunto? */
	@FindBy(name = "user[preview_msg_subject]")
	private WebElement userPreviewMsgSubject;

	/** Pré-visualizar a mensagem em uma caixa tool-tip? */
	@FindBy(name = "user[preview_msg_tip]")
	private WebElement userPreviewMsgTip;

	/** Salvar mensagens excluídas na pasta Lixeira? */
	@FindBy(name = "user[save_deleted_msg]")
	private WebElement userSaveDeletedMsg;

	/** Apagar mensagens após quantos dias na lixeira? */
	@FindBy(name = "user[delete_trash_messages_after_n_days]")
	private WebElement userDeleteTrashMessagesAfterNDays;

	/** Você gostaria de usar mensagens locais? */
	@FindBy(name = "user[use_local_messages]")
	private WebElement userUseLocalMessages;

	/** Ação desejada ao arquivar mensagem nas pastas locais. */
	@FindBy(name = "user[keep_archived_messages]")
	private WebElement userKeepArchivedMessages;

	/** Exibir mensagem anterior, após apagar mensagem atual? */
	@FindBy(name = "user[delete_and_show_previous_message]")
	private WebElement userDeleteAndShowPreviousMessage;

	/** Você quer receber um alerta para mensagens novas? */
	@FindBy(name = "user[alert_new_msg]")
	private WebElement userAlertNewMsg;

	/** Você gostaria de usar a flag de importante na edição de emails? */
	@FindBy(name = "user[use_important_flag]")
	private WebElement userUseImportantFlag;

	/** Quer usar o corretor ortográfico no editor de emails? */
	@FindBy(name = "user[use_SpellChecker]")
	private WebElement userUseSpellChecker;

	/** Salvar automaticamente as mensagens enviadas na pasta */
	@FindBy(name = "user[save_in_folder]")
	private WebElement userSaveInFolder;

	/** Ocultar menu das pastas? */
	@FindBy(name = "user[hide_folders]")
	private WebElement userHideFolders;

	/** Qual o número máximo de resultados na busca de e-mails? */
	@FindBy(name = "user[search_result_number]")
	private WebElement userSearchResultNumber;

	/** Qual é o número mínimo de caracteres ao pesquisar contatos? */
	@FindBy(name = "user[search_characters_number]")
	private WebElement userSearchCharactersNumber;

	/** Qual a altura das linhas na lista de mensagens? */
	@FindBy(name = "user[line_height]")
	private WebElement userLineHeight;
	/** Usar contatos dinâmicos? */
	@FindBy(name = "user[use_dynamic_contacts]")
	private WebElement userUseDynamicContacts;

	/** Usar teclas de atalho? */
	@FindBy(name = "user[use_shortcuts]")
	private WebElement userUseShortcuts;
	/** Salvar rascunhos automaticamente */
	@FindBy(name = "user[auto_save_draft]")
	private WebElement userAutoSaveDraft;

	/** Possibilitar assinar/cifrar digitalmente a mensagem? */
	@FindBy(name = "user[use_signature_digital_cripto]")
	private WebElement userUseSignatureDigitalCripto;

	/** Sempre assinar digitalmente a mensagem? */
	@FindBy(name = "user[use_signature_digital]")
	private WebElement userUseSignatureDigital;

	/** Sempre cifrar digitalmente a mensagem? */
	@FindBy(name = "user[use_signature_cripto]")
	private WebElement userUseSignatureCripto;

	/** Inserir assinatura automaticamente em novas mensagens? */
	@FindBy(name = "user[use_signature]")
	private WebElement userUseSignature;

	/** Tipo de Assinatura */
	@FindBy(name = "user[type_signature]")
	private WebElement userTypeSignature;

	/** Assinatura */
	@FindBy(name = "user[signature]")
	private WebElement userSignature;

	/** Você deseja exibir automaticamente o cabecalho da mensagem? */
	@FindBy(name = "default[show_head_msg_full]")
	private WebElement defaultShowHeadMsgFull;

	/** Qual o número máximo de mensagens por página? */
	@FindBy(name = "default[max_email_per_page]")
	private WebElement defaultMaxEmailPerPage;

	/** Pré-visualizar a mensagem na coluna Assunto? */
	@FindBy(name = "default[preview_msg_subject]")
	private WebElement defaultPreviewMsgSubject;

	/** Pré-visualizar a mensagem em uma caixa tool-tip? */
	@FindBy(name = "default[preview_msg_tip]")
	private WebElement defaultPreviewMsgTip;

	/** Salvar mensagens excluídas na pasta Lixeira? */
	@FindBy(name = "default[save_deleted_msg]")
	private WebElement defaultSaveDeletedMsg;

	/** Apagar mensagens após quantos dias na lixeira? */
	@FindBy(name = "default[delete_trash_messages_after_n_days]")
	private WebElement defaultDeleteTrashMessagesAfterNDays;

	/** Você gostaria de usar mensagens locais? */
	@FindBy(name = "default[use_local_messages]")
	private WebElement defaultUseLocalMessages;

	/** Ação desejada ao arquivar mensagem nas pastas locais */
	@FindBy(name = "default[keep_archived_messages]")
	private WebElement defaultKeepArchivedMessages;

	/** Exibir mensagem anterior, após apagar mensagem atual? */
	@FindBy(name = "default[delete_and_show_previous_message]")
	private WebElement defaultDeleteAndShowPreviousMessage;

	/** Você quer receber um alerta para mensagens novas? */
	@FindBy(name = "default[alert_new_msg]")
	private WebElement defaultAlertNewMsg;

	/** Você gostaria de usar a flag de importante na edição de emails? */
	@FindBy(name = "default[use_important_flag]")
	private WebElement defaultUseImportantFlag;

	/** Quer usar o corretor ortográfico no editor de emails? */
	@FindBy(name = "default[use_SpellChecker]")
	private WebElement defaultUseSpellChecker;

	/** Salvar automaticamente as mensagens enviadas na pasta */
	@FindBy(name = "default[save_in_folder]")
	private WebElement defaultSaveInFolder;

	/** Ocultar menu das pastas? */
	@FindBy(name = "default[hide_folders]")
	private WebElement defaultHideFolders;

	/** Qual o número máximo de resultados na busca de e-mails? */
	@FindBy(name = "default[search_result_number]")
	private WebElement defaultSearchResultNumber;

	/** Qual é o número mínimo de caracteres ao pesquisar contatos? */
	@FindBy(name = "default[search_characters_number]")
	private WebElement defaultSearchCharactersNumber;

	/** Qual a altura das linhas na lista de mensagens? */
	@FindBy(name = "default[line_height]")
	private WebElement defaultLineHeight;

	/** Usar contatos dinâmicos? */
	@FindBy(name = "default[use_dynamic_contacts]")
	/** Usar teclas de atalho? */
	private WebElement defaultUseDynamicContacts;

	@FindBy(name = "default[use_shortcuts]")
	private WebElement defaultUseShortcuts;

	/** Salvar rascunhos automaticamente */
	@FindBy(name = "default[auto_save_draft]")
	private WebElement defaultAutoSaveDraft;

	/** Possibilitar assinar/cifrar digitalmente a mensagem? */
	@FindBy(name = "default[use_signature_digital_cripto]")
	private WebElement defaultUseSignatureDigitalCripto;

	/** Sempre assinar digitalmente a mensagem? */
	@FindBy(name = "default[use_signature_digital]")
	private WebElement defaultUseSignatureDigital;

	/** Sempre cifrar digitalmente a mensagem? */
	@FindBy(name = "default[use_signature_cripto]")
	private WebElement defaultUseSignatureCripto;

	/** Inserir assinatura automaticamente em novas mensagens? */
	@FindBy(name = "default[use_signature]")
	private WebElement defaultUseSignature;

	/** Tipo de Assinatura */
	@FindBy(name = "default[type_signature]")
	private WebElement defaultTypeSignature;

	/** Utilizar nome (CN) ao invés de login (uid) em pastas compartilhadas? */
	@FindBy(name = "forced[uid2cn]")
	private WebElement forcedUid2cn;

	/** Você deseja exibir automaticamente o cabecalho da mensagem? */
	@FindBy(name = "forced[show_head_msg_full]")
	private WebElement forcedShowHeadMsgFull;

	/** Qual o número máximo de mensagens por página? */
	@FindBy(name = "forced[max_email_per_page]")
	private WebElement forcedMaxEmailPerPage;

	/** Pré-visualizar a mensagem na coluna Assunto? */
	@FindBy(name = "forced[preview_msg_subject]")
	private WebElement forcedPreviewMsgSubject;

	/** Pré-visualizar a mensagem em uma caixa tool-tip? */
	@FindBy(name = "forced[preview_msg_tip]")
	private WebElement forcedPreviewMsgTip;

	/** Ver informações extendidas nas buscas por usuários? */
	@FindBy(name = "forced[extended_info]")
	private WebElement forcedExtendedInfo;

	/** Salvar mensagens excluídas na pasta Lixeira? */
	@FindBy(name = "forced[save_deleted_msg]")
	private WebElement forcedSaveDeletedMsg;

	/** Apagar mensagens após quantos dias na lixeira? */
	@FindBy(name = "forced[delete_trash_messages_after_n_days]")
	private WebElement forcedDeleteTrashMessagesAfterNDays;

	/** Você gostaria de usar mensagens locais? */
	@FindBy(name = "forced[use_local_messages]")
	private WebElement forcedUseLocalMessages;

	/** Ação desejada ao arquivar mensagem nas pastas locais */
	@FindBy(name = "forced[keep_archived_messages]")
	private WebElement forcedKeepArchivedMessages;

	/** Criar automáticamente pastas locais padrão? */
	@FindBy(name = "forced[auto_create_local]")
	private WebElement forcedAutoCreateLocal;

	/** Exibir mensagem anterior, após apagar mensagem atual? */
	@FindBy(name = "forced[delete_and_show_previous_message]")
	private WebElement forcedDeleteAndShowPreviousMessage;

	/** Você quer receber um alerta para mensagens novas? */
	@FindBy(name = "forced[alert_new_msg]")
	private WebElement forcedAlertNewMsg;

	/** Exibir resumo do ExpressoMail na tela inicial do Expresso? */
	@FindBy(name = "forced[mainscreen_showmail]")
	private WebElement forcedMainScreenShowMail;

	/** Você gostaria de usar a função de desanexar? */
	@FindBy(name = "forced[remove_attachments_function]")
	private WebElement forcedRemoveAttachmentsFunction;

	/** Você gostaria de usar a flag de importante na edição de emails? */
	@FindBy(name = "forced[use_important_flag]")
	private WebElement forcedUseImportantFlag;

	/** Quer usar o corretor ortográfico no editor de emails? */
	@FindBy(name = "forced[use_SpellChecker]")
	private WebElement forcedUseSpellChecker;

	/** Salvar automaticamente as mensagens enviadas na pasta */
	@FindBy(name = "forced[save_in_folder]")
	private WebElement forcedSaveInFolder;

	/**
	 * Trocar remetente pelo destinatário na coluna QUEM somente na pasta
	 * Enviado
	 */
	@FindBy(name = "forced[from_to_sent]")
	private WebElement forcedFromToSent;

	/** Ocultar menu das pastas? */
	@FindBy(name = "forced[hide_folders]")
	private WebElement forcedHideFolders;

	/** Qual o número máximo de resultados na busca de e-mails? */
	@FindBy(name = "forced[search_result_number]")
	private WebElement forcedSearchResultNumber;

	/** Qual é o número mínimo de caracteres ao pesquisar contatos? */
	@FindBy(name = "forced[search_characters_number]")
	private WebElement forcedSearchCharactersNumber;

	/** Qual a altura das linhas na lista de mensagens? */
	@FindBy(name = "forced[line_height]")
	private WebElement forcedLineHeight;

	/**
	 * Você quer que se aumente o limite de tamanho de emails que são mostrados?
	 */
	@FindBy(name = "forced[max_msg_size]")
	private WebElement forcedMaxMsgSize;

	/** Usar contatos dinâmicos? */
	@FindBy(name = "forced[use_dynamic_contacts]")
	private WebElement forcedUseDynamicContacts;

	/** Usar teclas de atalho? */
	@FindBy(name = "forced[use_shortcuts]")
	private WebElement forcedUseShortcuts;

	/** Salvar rascunhos automaticamente */
	@FindBy(name = "forced[auto_save_draft]")
	private WebElement forcedAutoSaveDraft;

	/** Qual o seu fuso-horário? OBS: Nao coloquei todas as opcoes aqui... */
	@FindBy(name = "forced[timezone]")
	private WebElement forcedTimezone;

	/** Aonde a pesquisa rápida deve atuar por padrão? */
	@FindBy(name = "forced[quick_search_default]")
	private WebElement forcedQuickSearchDefault;

	/** Qual o tamanho máximo das imagens inseridas nos emails? */
	@FindBy(name = "forced[image_size]")
	private WebElement forcedImageSize;

	/** Possibilitar assinar/cifrar digitalmente a mensagem? */
	@FindBy(name = "forced[use_signature_digital_cripto]")
	private WebElement forcedUseSignatureDigitalCripto;

	/** Sempre assinar digitalmente a mensagem? */
	@FindBy(name = "forced[use_signature_digital]")
	private WebElement forcedUseSignatureDigital;

	/** Sempre cifrar digitalmente a mensagem? */
	@FindBy(name = "forced[use_signature_cripto]")
	private WebElement forcedUseSignatureCripto;

	/** Inserir assinatura automaticamente em novas mensagens? */
	@FindBy(name = "forced[use_signature]")
	private WebElement forcedUseSignature;

	/** Tipo de Assinatura */
	@FindBy(name = "forced[type_signature]")
	private WebElement forcedTypeSignature;

	@FindBy(name = "submit")
	private WebElement savePreferences;

	public ExpressoMailAdminPreferencesPage(WebDriver driver) {
		super(driver);
	}

	public void savePreferences() {
		this.savePreferences.click();
	}

	/**
	 * @param userShowHeadMsgFull
	 *            the userShowHeadMsgFull to set
	 */
	public void setUserShowHeadMsgFull(String userShowHeadMsgFull) {
		super.setComboValue(this.userShowHeadMsgFull, userShowHeadMsgFull);
	}

	/**
	 * @param userMaxEmailPerPage
	 *            the userMaxEmailPerPage to set
	 */
	public void setUserMaxEmailPerPage(String userMaxEmailPerPage) {
		super.setComboValue(this.userMaxEmailPerPage, userMaxEmailPerPage);
	}

	/**
	 * @param userPreviewMsgSubject
	 *            the userPreviewMsgSubject to set
	 */
	public void setUserPreviewMsgSubject(String userPreviewMsgSubject) {
		super.setComboValue(this.userPreviewMsgSubject, userPreviewMsgSubject);
	}

	/**
	 * @param userPreviewMsgTip
	 *            the userPreviewMsgTip to set
	 */
	public void setUserPreviewMsgTip(String userPreviewMsgTip) {
		super.setComboValue(this.userPreviewMsgTip, userPreviewMsgTip);
	}

	/**
	 * @param userSaveDeletedMsg
	 *            the userSaveDeletedMsg to set
	 */
	public void setUserSaveDeletedMsg(String userSaveDeletedMsg) {
		super.setComboValue(this.userSaveDeletedMsg, userSaveDeletedMsg);
	}

	/**
	 * @param userDeleteTrashMessagesAfterNDays
	 *            the userDeleteTrashMessagesAfterNDays to set
	 */
	public void setUserDeleteTrashMessagesAfterNDays(
			String userDeleteTrashMessagesAfterNDays) {
		super.setComboValue(this.userDeleteTrashMessagesAfterNDays,
				userDeleteTrashMessagesAfterNDays);
	}

	/**
	 * @param userUseLocalMessages
	 *            the userUseLocalMessages to set
	 */
	public void setUserUseLocalMessages(String userUseLocalMessages) {
		super.setComboValue(this.userUseLocalMessages, userUseLocalMessages);
	}

	/**
	 * @param userKeepArchivedMessages
	 *            the userKeepArchivedMessages to set
	 */
	public void setUserKeepArchivedMessages(String userKeepArchivedMessages) {
		super.setComboValue(this.userKeepArchivedMessages,
				userKeepArchivedMessages);
	}

	/**
	 * @param userDeleteAndShowPreviousMessage
	 *            the userDeleteAndShowPreviousMessage to set
	 */
	public void setUserDeleteAndShowPreviousMessage(
			String userDeleteAndShowPreviousMessage) {
		super.setComboValue(this.userDeleteAndShowPreviousMessage,
				userDeleteAndShowPreviousMessage);
	}

	/**
	 * @param userAlertNewMsg
	 *            the userAlertNewMsg to set
	 */
	public void setUserAlertNewMsg(String userAlertNewMsg) {
		super.setComboValue(this.userAlertNewMsg, userAlertNewMsg);
	}

	/**
	 * @param userUseImportantFlag
	 *            the userUseImportantFlag to set
	 */
	public void setUserUseImportantFlag(String userUseImportantFlag) {
		super.setComboValue(this.userUseImportantFlag, userUseImportantFlag);
	}

	/**
	 * @param userUseSpellChecker
	 *            the userUseSpellChecker to set
	 */
	public void setUserUseSpellChecker(String userUseSpellChecker) {
		super.setComboValue(this.userUseSpellChecker, userUseSpellChecker);
	}

	/**
	 * @param userSaveInFolder
	 *            the userSaveInFolder to set
	 */
	public void setUserSaveInFolder(String userSaveInFolder) {
		super.setComboValue(this.userSaveInFolder, userSaveInFolder);
	}

	/**
	 * @param userHideFolders
	 *            the userHideFolders to set
	 */
	public void setUserHideFolders(String userHideFolders) {
		super.setComboValue(this.userHideFolders, userHideFolders);
	}

	/**
	 * @param userSearchResultNumber
	 *            the userSearchResultNumber to set
	 */
	public void setUserSearchResultNumber(String userSearchResultNumber) {
		super.setComboValue(this.userSearchResultNumber, userSearchResultNumber);
	}

	/**
	 * @param userSearchCharactersNumber
	 *            the userSearchCharactersNumber to set
	 */
	public void setUserSearchCharactersNumber(String userSearchCharactersNumber) {
		super.setComboValue(this.userSearchCharactersNumber,
				userSearchCharactersNumber);
	}

	/**
	 * @param userLineHeight
	 *            the userLineHeight to set
	 */
	public void setUserLineHeight(String userLineHeight) {
		super.setComboValue(this.userLineHeight, userLineHeight);
	}

	/**
	 * @param userUseDynamicContacts
	 *            the userUseDynamicContacts to set
	 */
	public void setUserUseDynamicContacts(String userUseDynamicContacts) {
		super.setComboValue(this.userUseDynamicContacts, userUseDynamicContacts);
	}

	/**
	 * @param userUseShortcuts
	 *            the userUseShortcuts to set
	 */
	public void setUserUseShortcuts(String userUseShortcuts) {
		super.setComboValue(this.userUseShortcuts, userUseShortcuts);
	}

	/**
	 * @param userAutoSaveDraft
	 *            the userAutoSaveDraft to set
	 */
	public void setUserAutoSaveDraft(String userAutoSaveDraft) {
		super.setComboValue(this.userAutoSaveDraft, userAutoSaveDraft);
	}

	/**
	 * @param userUseSignatureDigitalCripto
	 *            the userUseSignatureDigitalCripto to set
	 */
	public void setUserUseSignatureDigitalCripto(
			String userUseSignatureDigitalCripto) {
		super.setComboValue(this.userUseSignatureDigitalCripto,
				userUseSignatureDigitalCripto);
	}

	/**
	 * @param userUseSignatureDigital
	 *            the userUseSignatureDigital to set
	 */
	public void setUserUseSignatureDigital(String userUseSignatureDigital) {
		super.setComboValue(this.userUseSignatureDigital,
				userUseSignatureDigital);
	}

	/**
	 * @param userUseSignatureCripto
	 *            the userUseSignatureCripto to set
	 */
	public void setUserUseSignatureCripto(String userUseSignatureCripto) {
		super.setComboValue(this.userUseSignatureCripto, userUseSignatureCripto);
	}

	/**
	 * @param userUseSignature
	 *            the userUseSignature to set
	 */
	public void setUserUseSignature(String userUseSignature) {
		super.setComboValue(this.userUseSignature, userUseSignature);
	}

	/**
	 * @param userTypeSignature
	 *            the userTypeSignature to set
	 */
	public void setUserTypeSignature(String userTypeSignature) {
		super.setComboValue(this.userTypeSignature, userTypeSignature);
	}

	/**
	 * @param userSignature
	 *            the userSignature to set
	 */
	public void setUserSignature(String userSignature) {
		this.userSignature.sendKeys(userSignature);
	}

	/**
	 * @param defaultShowHeadMsgFull
	 *            the defaultShowHeadMsgFull to set
	 */
	public void setDefaultShowHeadMsgFull(String defaultShowHeadMsgFull) {
		super.setComboValue(this.defaultShowHeadMsgFull, defaultShowHeadMsgFull);
	}

	/**
	 * @param defaultMaxEmailPerPage
	 *            the defaultMaxEmailPerPage to set
	 */
	public void setDefaultMaxEmailPerPage(String defaultMaxEmailPerPage) {
		super.setComboValue(this.defaultMaxEmailPerPage, defaultMaxEmailPerPage);
	}

	/**
	 * @param defaultPreviewMsgSubject
	 *            the defaultPreviewMsgSubject to set
	 */
	public void setDefaultPreviewMsgSubject(String defaultPreviewMsgSubject) {
		super.setComboValue(this.defaultPreviewMsgSubject,
				defaultPreviewMsgSubject);
	}

	/**
	 * @param defaultPreviewMsgTip
	 *            the defaultPreviewMsgTip to set
	 */
	public void setDefaultPreviewMsgTip(String defaultPreviewMsgTip) {
		super.setComboValue(this.defaultPreviewMsgTip, defaultPreviewMsgTip);
	}

	/**
	 * @param defaultSaveDeletedMsg
	 *            the defaultSaveDeletedMsg to set
	 */
	public void setDefaultSaveDeletedMsg(String defaultSaveDeletedMsg) {
		super.setComboValue(this.defaultSaveDeletedMsg, defaultSaveDeletedMsg);
	}

	/**
	 * @param defaultDeleteTrashMessagesAfterNDays
	 *            the defaultDeleteTrashMessagesAfterNDays to set
	 */
	public void setDefaultDeleteTrashMessagesAfterNDays(
			String defaultDeleteTrashMessagesAfterNDays) {
		super.setComboValue(this.defaultDeleteTrashMessagesAfterNDays,
				defaultDeleteTrashMessagesAfterNDays);
	}

	/**
	 * @param defaultUseLocalMessages
	 *            the defaultUseLocalMessages to set
	 */
	public void setDefaultUseLocalMessages(String defaultUseLocalMessages) {
		super.setComboValue(this.defaultUseLocalMessages,
				defaultUseLocalMessages);
	}

	/**
	 * @param defaultKeepArchivedMessages
	 *            the defaultKeepArchivedMessages to set
	 */
	public void setDefaultKeepArchivedMessages(
			String defaultKeepArchivedMessages) {
		super.setComboValue(this.defaultKeepArchivedMessages,
				defaultKeepArchivedMessages);
	}

	/**
	 * @param defaultDeleteAndShowPreviousMessage
	 *            the defaultDeleteAndShowPreviousMessage to set
	 */
	public void setDefaultDeleteAndShowPreviousMessage(
			String defaultDeleteAndShowPreviousMessage) {
		super.setComboValue(this.defaultDeleteAndShowPreviousMessage,
				defaultDeleteAndShowPreviousMessage);
	}

	/**
	 * @param defaultAlertNewMsg
	 *            the defaultAlertNewMsg to set
	 */
	public void setDefaultAlertNewMsg(String defaultAlertNewMsg) {
		super.setComboValue(this.defaultAlertNewMsg, defaultAlertNewMsg);
	}

	/**
	 * @param defaultUseImportantFlag
	 *            the defaultUseImportantFlag to set
	 */
	public void setDefaultUseImportantFlag(String defaultUseImportantFlag) {
		super.setComboValue(this.defaultUseImportantFlag,
				defaultUseImportantFlag);
	}

	/**
	 * @param defaultUseSpellChecker
	 *            the defaultUseSpellChecker to set
	 */
	public void setDefaultUseSpellChecker(String defaultUseSpellChecker) {
		super.setComboValue(this.defaultUseSpellChecker, defaultUseSpellChecker);
	}

	/**
	 * @param defaultSaveInFolder
	 *            the defaultSaveInFolder to set
	 */
	public void setDefaultSaveInFolder(String defaultSaveInFolder) {
		super.setComboValue(this.defaultSaveInFolder, defaultSaveInFolder);
	}

	/**
	 * @param defaultHideFolders
	 *            the defaultHideFolders to set
	 */
	public void setDefaultHideFolders(String defaultHideFolders) {
		super.setComboValue(this.defaultHideFolders, defaultHideFolders);
	}

	/**
	 * @param defaultSearchResultNumber
	 *            the defaultSearchResultNumber to set
	 */
	public void setDefaultSearchResultNumber(String defaultSearchResultNumber) {
		super.setComboValue(this.defaultSearchResultNumber,
				defaultSearchResultNumber);
	}

	/**
	 * @param defaultSearchCharactersNumber
	 *            the defaultSearchCharactersNumber to set
	 */
	public void setDefaultSearchCharactersNumber(
			String defaultSearchCharactersNumber) {
		super.setComboValue(this.defaultSearchCharactersNumber,
				defaultSearchCharactersNumber);
	}

	/**
	 * @param defaultLineHeight
	 *            the defaultLineHeight to set
	 */
	public void setDefaultLineHeight(String defaultLineHeight) {
		super.setComboValue(this.defaultLineHeight, defaultLineHeight);
	}

	/**
	 * @param defaultUseDynamicContacts
	 *            the defaultUseDynamicContacts to set
	 */
	public void setDefaultUseDynamicContacts(String defaultUseDynamicContacts) {
		super.setComboValue(this.defaultUseDynamicContacts,
				defaultUseDynamicContacts);
	}

	/**
	 * @param defaultUseShortcuts
	 *            the defaultUseShortcuts to set
	 */
	public void setDefaultUseShortcuts(String defaultUseShortcuts) {
		super.setComboValue(this.defaultUseShortcuts, defaultUseShortcuts);
	}

	/**
	 * @param defaultAutoSaveDraft
	 *            the defaultAutoSaveDraft to set
	 */
	public void setDefaultAutoSaveDraft(String defaultAutoSaveDraft) {
		super.setComboValue(this.defaultAutoSaveDraft, defaultAutoSaveDraft);
	}

	/**
	 * @param defaultUseSignatureDigitalCripto
	 *            the defaultUseSignatureDigitalCripto to set
	 */
	public void setDefaultUseSignatureDigitalCripto(
			String defaultUseSignatureDigitalCripto) {
		super.setComboValue(this.defaultUseSignatureDigitalCripto,
				defaultUseSignatureDigitalCripto);
	}

	/**
	 * @param defaultUseSignatureDigital
	 *            the defaultUseSignatureDigital to set
	 */
	public void setDefaultUseSignatureDigital(String defaultUseSignatureDigital) {
		super.setComboValue(this.defaultUseSignatureDigital,
				defaultUseSignatureDigital);
	}

	/**
	 * @param defaultUseSignatureCripto
	 *            the defaultUseSignatureCripto to set
	 */
	public void setDefaultUseSignatureCripto(String defaultUseSignatureCripto) {
		super.setComboValue(this.defaultUseSignatureCripto,
				defaultUseSignatureCripto);
	}

	/**
	 * @param defaultUseSignature
	 *            the defaultUseSignature to set
	 */
	public void setDefaultUseSignature(String defaultUseSignature) {
		super.setComboValue(this.defaultUseSignature, defaultUseSignature);
	}

	/**
	 * @param defaultTypeSignature
	 *            the defaultTypeSignature to set
	 */
	public void setDefaultTypeSignature(String defaultTypeSignature) {
		super.setComboValue(this.defaultTypeSignature, defaultTypeSignature);
	}

	/**
	 * @param forcedUid2cn
	 *            the forcedUid2cn to set
	 */
	public void setForcedUid2cn(String forcedUid2cn) {
		super.setComboValue(this.forcedUid2cn, forcedUid2cn);
	}

	/**
	 * @param forcedShowHeadMsgFull
	 *            the forcedShowHeadMsgFull to set
	 */
	public void setForcedShowHeadMsgFull(String forcedShowHeadMsgFull) {
		super.setComboValue(this.forcedShowHeadMsgFull, forcedShowHeadMsgFull);
	}

	/**
	 * @param forcedMaxEmailPerPage
	 *            the forcedMaxEmailPerPage to set
	 */
	public void setForcedMaxEmailPerPage(String forcedMaxEmailPerPage) {
		super.setComboValue(this.forcedMaxEmailPerPage, forcedMaxEmailPerPage);
	}

	/**
	 * @param forcedPreviewMsgSubject
	 *            the forcedPreviewMsgSubject to set
	 */
	public void setForcedPreviewMsgSubject(String forcedPreviewMsgSubject) {
		super.setComboValue(this.forcedPreviewMsgSubject,
				forcedPreviewMsgSubject);
	}

	/**
	 * @param forcedPreviewMsgTip
	 *            the forcedPreviewMsgTip to set
	 */
	public void setForcedPreviewMsgTip(String forcedPreviewMsgTip) {
		super.setComboValue(this.forcedPreviewMsgTip, forcedPreviewMsgTip);
	}

	/**
	 * @param forcedExtendedInfo
	 *            the forcedExtendedInfo to set
	 */
	public void setForcedExtendedInfo(String forcedExtendedInfo) {
		super.setComboValue(this.forcedExtendedInfo, forcedExtendedInfo);
	}

	/**
	 * @param forcedSaveDeletedMsg
	 *            the forcedSaveDeletedMsg to set
	 */
	public void setForcedSaveDeletedMsg(String forcedSaveDeletedMsg) {
		super.setComboValue(this.forcedSaveDeletedMsg, forcedSaveDeletedMsg);
	}

	/**
	 * @param forcedDeleteTrashMessagesAfterNDays
	 *            the forcedDeleteTrashMessagesAfterNDays to set
	 */
	public void setForcedDeleteTrashMessagesAfterNDays(
			String forcedDeleteTrashMessagesAfterNDays) {
		super.setComboValue(this.forcedDeleteTrashMessagesAfterNDays,
				forcedDeleteTrashMessagesAfterNDays);
	}

	/**
	 * @param forcedUseLocalMessages
	 *            the forcedUseLocalMessages to set
	 */
	public void setForcedUseLocalMessages(String forcedUseLocalMessages) {
		super.setComboValue(this.forcedUseLocalMessages, forcedUseLocalMessages);
	}

	/**
	 * @param forcedKeepArchivedMessages
	 *            the forcedKeepArchivedMessages to set
	 */
	public void setForcedKeepArchivedMessages(String forcedKeepArchivedMessages) {
		super.setComboValue(this.forcedKeepArchivedMessages,
				forcedKeepArchivedMessages);
	}

	/**
	 * @param forcedAutoCreateLocal
	 *            the forcedAutoCreateLocal to set
	 */
	public void setForcedAutoCreateLocal(String forcedAutoCreateLocal) {
		super.setComboValue(this.forcedAutoCreateLocal, forcedAutoCreateLocal);
	}

	/**
	 * @param forcedDeleteAndShowPreviousMessage
	 *            the forcedDeleteAndShowPreviousMessage to set
	 */
	public void setForcedDeleteAndShowPreviousMessage(
			String forcedDeleteAndShowPreviousMessage) {
		super.setComboValue(this.forcedDeleteAndShowPreviousMessage,
				forcedDeleteAndShowPreviousMessage);
	}

	/**
	 * @param forcedAlertNewMsg
	 *            the forcedAlertNewMsg to set
	 */
	public void setForcedAlertNewMsg(String forcedAlertNewMsg) {
		super.setComboValue(this.forcedAlertNewMsg, forcedAlertNewMsg);
	}

	/**
	 * @param forcedMainScreenShowMail
	 *            the forcedMainScreenShowMail to set
	 */
	public void setForcedMainScreenShowMail(String forcedMainScreenShowMail) {
		super.setComboValue(this.forcedMainScreenShowMail,
				forcedMainScreenShowMail);
	}

	/**
	 * @param forcedRemoveAttachmentsFunction
	 *            the forcedRemoveAttachmentsFunction to set
	 */
	public void setForcedRemoveAttachmentsFunction(
			String forcedRemoveAttachmentsFunction) {
		super.setComboValue(this.forcedRemoveAttachmentsFunction,
				forcedRemoveAttachmentsFunction);
	}

	/**
	 * @param forcedUseImportantFlag
	 *            the forcedUseImportantFlag to set
	 */
	public void setForcedUseImportantFlag(String forcedUseImportantFlag) {
		super.setComboValue(this.forcedUseImportantFlag, forcedUseImportantFlag);
	}

	/**
	 * @param forcedUseSpellChecker
	 *            the forcedUseSpellChecker to set
	 */
	public void setForcedUseSpellChecker(String forcedUseSpellChecker) {
		super.setComboValue(this.forcedUseSpellChecker, forcedUseSpellChecker);
	}

	/**
	 * @param forcedSaveInFolder
	 *            the forcedSaveInFolder to set
	 */
	public void setForcedSaveInFolder(String forcedSaveInFolder) {
		super.setComboValue(this.forcedSaveInFolder, forcedSaveInFolder);
	}

	/**
	 * @param forcedFromToSent
	 *            the forcedFromToSent to set
	 */
	public void setForcedFromToSent(String forcedFromToSent) {
		super.setComboValue(this.forcedFromToSent, forcedFromToSent);
	}

	/**
	 * @param forcedHideFolders
	 *            the forcedHideFolders to set
	 */
	public void setForcedHideFolders(String forcedHideFolders) {
		super.setComboValue(this.forcedHideFolders, forcedHideFolders);
	}

	/**
	 * @param forcedSearchResultNumber
	 *            the forcedSearchResultNumber to set
	 */
	public void setForcedSearchResultNumber(String forcedSearchResultNumber) {
		super.setComboValue(this.forcedSearchResultNumber,
				forcedSearchResultNumber);
	}

	/**
	 * @param forcedSearchCharactersNumber
	 *            the forcedSearchCharactersNumber to set
	 */
	public void setForcedSearchCharactersNumber(
			String forcedSearchCharactersNumber) {
		super.setComboValue(this.forcedSearchCharactersNumber,
				forcedSearchCharactersNumber);
	}

	/**
	 * @param forcedLineHeight
	 *            the forcedLineHeight to set
	 */
	public void setForcedLineHeight(String forcedLineHeight) {
		super.setComboValue(this.forcedLineHeight, forcedLineHeight);
	}

	/**
	 * @param forcedMaxMsgSize
	 *            the forcedMaxMsgSize to set
	 */
	public void setForcedMaxMsgSize(String forcedMaxMsgSize) {
		super.setComboValue(this.forcedMaxMsgSize, forcedMaxMsgSize);
	}

	/**
	 * @param forcedUseDynamicContacts
	 *            the forcedUseDynamicContacts to set
	 */
	public void setForcedUseDynamicContacts(String forcedUseDynamicContacts) {
		super.setComboValue(this.forcedUseDynamicContacts,
				forcedUseDynamicContacts);
	}

	/**
	 * @param forcedUseShortcuts
	 *            the forcedUseShortcuts to set
	 */
	public void setForcedUseShortcuts(String forcedUseShortcuts) {
		super.setComboValue(this.forcedUseShortcuts, forcedUseShortcuts);
	}

	/**
	 * @param forcedAutoSaveDraft
	 *            the forcedAutoSaveDraft to set
	 */
	public void setForcedAutoSaveDraft(String forcedAutoSaveDraft) {
		super.setComboValue(this.forcedAutoSaveDraft, forcedAutoSaveDraft);
	}

	/**
	 * @param forcedTimezone
	 *            the forcedTimezone to set
	 */
	public void setForcedTimezone(String forcedTimezone) {
		super.setComboValue(this.forcedTimezone, forcedTimezone);
	}

	/**
	 * @param forcedQuickSearchDefault
	 *            the forcedQuickSearchDefault to set
	 */
	public void setForcedQuickSearchDefault(String forcedQuickSearchDefault) {
		super.setComboValue(this.forcedQuickSearchDefault,
				forcedQuickSearchDefault);
	}

	/**
	 * @param forcedImageSize
	 *            the forcedImageSize to set
	 */
	public void setForcedImageSize(String forcedImageSize) {
		super.setComboValue(this.forcedImageSize, forcedImageSize);
	}

	/**
	 * @param forcedUseSignatureDigitalCripto
	 *            the forcedUseSignatureDigitalCripto to set
	 */
	public void setForcedUseSignatureDigitalCripto(
			String forcedUseSignatureDigitalCripto) {
		super.setComboValue(this.forcedUseSignatureDigitalCripto,
				forcedUseSignatureDigitalCripto);
	}

	/**
	 * @param forcedUseSignatureDigital
	 *            the forcedUseSignatureDigital to set
	 */
	public void setForcedUseSignatureDigital(String forcedUseSignatureDigital) {
		super.setComboValue(this.forcedUseSignatureDigital,
				forcedUseSignatureDigital);
	}

	/**
	 * @param forcedUseSignatureCripto
	 *            the forcedUseSignatureCripto to set
	 */
	public void setForcedUseSignatureCripto(String forcedUseSignatureCripto) {
		super.setComboValue(this.forcedUseSignatureCripto,
				forcedUseSignatureCripto);
	}

	/**
	 * @param forcedUseSignature
	 *            the forcedUseSignature to set
	 */
	public void setForcedUseSignature(String forcedUseSignature) {
		super.setComboValue(this.forcedUseSignature, forcedUseSignature);
	}

	/**
	 * @param forcedTypeSignature
	 *            the forcedTypeSignature to set
	 */
	public void setForcedTypeSignature(String forcedTypeSignature) {
		super.setComboValue(this.forcedTypeSignature, forcedTypeSignature);
	}

}
